DescriptorProtos.UninterpretedOption.NamePart.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.UninterpretedOption.NamePart.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>
      - - com.google.protobuf.DescriptorProtos.UninterpretedOption.NamePart.Builder

- All Implemented Interfaces:
    DescriptorProtos.UninterpretedOption.NamePartOrBuilder, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.UninterpretedOption.NamePart

      public static final class DescriptorProtos.UninterpretedOption.NamePart.Builder
      extends GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>
      implements DescriptorProtos.UninterpretedOption.NamePartOrBuilder

       The name of the uninterpreted option.  Each string represents a segment in
       a dot-separated name.  is_extension is true iff a segment represents an
       extension (denoted with parentheses in options specs in .proto files).
       E.g.,{ ["foo", false], ["bar.baz", true], ["qux", false] } represents
       "foo.(bar.baz).qux".

  Protobuf type `google.protobuf.UninterpretedOption.NamePart`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.UninterpretedOption.NamePart` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.UninterpretedOption.NamePart` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `clearIsExtension()` `required bool is_extension = 2;`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `clearNamePart()` `required string name_part = 1;`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `clone()` Clones the Builder.
    `DescriptorProtos.UninterpretedOption.NamePart` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `boolean` | `getIsExtension()` `required bool is_extension = 2;`
    `java.lang.String` | `getNamePart()` `required string name_part = 1;`
    `ByteString` | `getNamePartBytes()` `required string name_part = 1;`
    `boolean` | `hasIsExtension()` `required bool is_extension = 2;`
    `boolean` | `hasNamePart()` `required string name_part = 1;`
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `mergeFrom(DescriptorProtos.UninterpretedOption.NamePart other)`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `setIsExtension(boolean value)` `required bool is_extension = 2;`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `setNamePart(java.lang.String value)` `required string name_part = 1;`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `setNamePartBytes(ByteString value)` `required string name_part = 1;`
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.UninterpretedOption.NamePart.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### clear

          public DescriptorProtos.UninterpretedOption.NamePart.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.UninterpretedOption.NamePart getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.UninterpretedOption.NamePart build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.UninterpretedOption.NamePart buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.UninterpretedOption.NamePart.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.UninterpretedOption.NamePart.Builder setField(Descriptors.FieldDescriptor field,
                                                                       java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### clearField

          public DescriptorProtos.UninterpretedOption.NamePart.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### clearOneof

          public DescriptorProtos.UninterpretedOption.NamePart.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.UninterpretedOption.NamePart.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                                               int index,
                                                                               java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.UninterpretedOption.NamePart.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                                               java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### mergeFrom

          public DescriptorProtos.UninterpretedOption.NamePart.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### mergeFrom

          public DescriptorProtos.UninterpretedOption.NamePart.Builder mergeFrom(DescriptorProtos.UninterpretedOption.NamePart other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### mergeFrom

          public DescriptorProtos.UninterpretedOption.NamePart.Builder mergeFrom(CodedInputStream input,
                                                                        ExtensionRegistryLite extensionRegistry)
                                                                          throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasNamePart

          public boolean hasNamePart()

      `required string name_part = 1;`
      Specified by:
        `hasNamePart` in interface `DescriptorProtos.UninterpretedOption.NamePartOrBuilder`

    - #### getNamePart

          public java.lang.String getNamePart()

      `required string name_part = 1;`
      Specified by:
        `getNamePart` in interface `DescriptorProtos.UninterpretedOption.NamePartOrBuilder`

    - #### getNamePartBytes

          public ByteString getNamePartBytes()

      `required string name_part = 1;`
      Specified by:
        `getNamePartBytes` in interface `DescriptorProtos.UninterpretedOption.NamePartOrBuilder`

    - #### setNamePart

          public DescriptorProtos.UninterpretedOption.NamePart.Builder setNamePart(java.lang.String value)

      `required string name_part = 1;`

    - #### clearNamePart

          public DescriptorProtos.UninterpretedOption.NamePart.Builder clearNamePart()

      `required string name_part = 1;`

    - #### setNamePartBytes

          public DescriptorProtos.UninterpretedOption.NamePart.Builder setNamePartBytes(ByteString value)

      `required string name_part = 1;`

    - #### hasIsExtension

          public boolean hasIsExtension()

      `required bool is_extension = 2;`
      Specified by:
        `hasIsExtension` in interface `DescriptorProtos.UninterpretedOption.NamePartOrBuilder`

    - #### getIsExtension

          public boolean getIsExtension()

      `required bool is_extension = 2;`
      Specified by:
        `getIsExtension` in interface `DescriptorProtos.UninterpretedOption.NamePartOrBuilder`

    - #### setIsExtension

          public DescriptorProtos.UninterpretedOption.NamePart.Builder setIsExtension(boolean value)

      `required bool is_extension = 2;`

    - #### clearIsExtension

          public DescriptorProtos.UninterpretedOption.NamePart.Builder clearIsExtension()

      `required bool is_extension = 2;`

    - #### setUnknownFields

          public final DescriptorProtos.UninterpretedOption.NamePart.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.UninterpretedOption.NamePart.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.UninterpretedOption.NamePart.Builder>`